/**
 * *****************************************************
 */
export declare class DataUrl {
    private static PROTO_TOKEN;
    private static ENCODING_TOKEN;
    private _mimeType;
    private _data;
    static createDataUrl(mimeType: string, encodedData: string): string;
    static getMimeType(dataUrl: string): string;
    static getEncodedData(dataUrl: string): string;
    constructor(dataUrl: string);
    readonly mimeType: string;
    readonly data: string;
}
